{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "CustomView",
    "lanResTag" : "MENUITEM.CAPTION.CUSTOMVIEW",
    "lanResType" : "MENUITEM.CAPTION",
    "mOSFilePath" : "pslanguageres/Auto1867",
    "name" : "菜单项文本[自定义视图]",
    "rTMOSFilePath" : "pslanguageres/Auto1867",
    "refFlag" : true
  },
  "caption" : "实体自定义视图",
  "codeName" : "IBIZBOOKCustomView_layout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKCustomView_layout.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCustomView_layout",
  "name" : "IBIZBOOKCustomView_layout",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup85"
  },
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "modelref" : true,
      "id" : "toolbar_CustomView_layouttoolbar_deuiaction1_click@IBIZBOOK"
    },
    "uIActionTarget" : "SINGLEDATA"
  } ],
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_searchforms/Default",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizbookname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "n_price_gtandeq",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "常规条件",
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.DEFAULT.FORMPAGE.FORMPAGE1",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto1835",
        "name" : "控件文本（CONTROL.*）[DEFORM.IBIZBOOK.DEFAULT.FORMPAGE.FORMPAGE1]",
        "rTMOSFilePath" : "pslanguageres/Auto1835",
        "refFlag" : true
      },
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto486",
          "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE]",
          "rTMOSFilePath" : "pslanguageres/Auto486",
          "refFlag" : true
        },
        "caption" : "图书名称(%)",
        "codeName" : "n_ibizbookname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_ibizbookname_like",
        "name" : "n_ibizbookname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizbookname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizbookname_like",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_PRICE_GTANDEQ",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto2082",
          "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZBOOK.N_PRICE_GTANDEQ]",
          "rTMOSFilePath" : "pslanguageres/Auto2082",
          "refFlag" : true
        },
        "caption" : "图书价格(>=)",
        "codeName" : "n_price_gtandeq",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_price_gtandeq",
        "name" : "n_price_gtandeq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRICE",
          "codeName" : "Price"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_price_gtandeq"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_price_gtandeq",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCustomView_layout/psappviewctrls/searchform",
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "643b7d93870f8f5842b663af83ba85ae",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ONSELECTIONCHANGE" ],
    "logicName" : "主表格",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdegrids/Main",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "onSelectionChange",
      "logicTag" : "grid",
      "logicType" : "SCRIPT",
      "name" : "printSelection",
      "scriptCode" : "console.log(data);"
    }, {
      "eventNames" : "onSelectionChange",
      "logicTag" : "grid",
      "logicType" : "DEUILOGIC",
      "name" : "cancelSelect",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "cancelSelect"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      }
    }, {
      "logicTag" : "grid",
      "logicType" : "SCRIPT",
      "name" : "timerLogic",
      "scriptCode" : "console.log('表格逻辑触发，定时器打印输出...');",
      "timer" : 30,
      "triggerType" : "TIMER"
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "图书名称",
        "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto1983",
        "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZBOOKNAME]",
        "rTMOSFilePath" : "pslanguageres/Auto1983",
        "refFlag" : true
      },
      "caption" : "图书名称",
      "codeName" : "ibizbookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizbookname",
      "excelCaption" : "图书名称",
      "mOSFilePath" : "psdegridcols/ibizbookname",
      "name" : "ibizbookname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "rTMOSFilePath" : "psdegridcols/ibizbookname",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "defaultContent" : "更新人",
        "lanResTag" : "DEF.LNAME.UPDATEMAN",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto202",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
        "rTMOSFilePath" : "pslanguageres/Auto202",
        "refFlag" : true
      },
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "mOSFilePath" : "psdegridcols/updateman",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "rTMOSFilePath" : "psdegridcols/updateman",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "更新时间",
        "lanResTag" : "DEF.LNAME.UPDATEDATE",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto1074",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
        "rTMOSFilePath" : "pslanguageres/Auto1074",
        "refFlag" : true
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "mOSFilePath" : "psdegridcols/updatedate",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "rTMOSFilePath" : "psdegridcols/updatedate",
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "ibizbookname",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizbookid",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmstag"
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "图书标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "mOSFilePath" : "psdegridcols/srfkey",
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "rTMOSFilePath" : "psdegridcols/srfkey",
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCustomView_layout/psappviewctrls/grid",
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "6cd11a010cbbb4d2bad5e1aad7e8020a",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "CustomView_layouttoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "测试界面逻辑",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/CustomView_layouttoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "加载",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEDATA",
        "caption" : "加载",
        "codeName" : "toolbar_CustomView_layouttoolbar_deuiaction1_click",
        "frontProcessType" : "OTHER",
        "fullCodeName" : "IBIZBOOK_toolbar_CustomView_layouttoolbar_deuiaction1_click",
        "name" : "加载",
        "getPSAppDEUILogic" : {
          "modelref" : true,
          "id" : "GridLoad"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        },
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/toolbar_CustomView_layouttoolbar_deuiaction1_click",
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "toolbar_CustomView_layouttoolbar_deuiaction1_click",
        "uIActionType" : "DEUIACTION",
        "uILogicAttachMode" : "REPLACE",
        "uILogicType" : "DELOGIC",
        "id" : "toolbar_CustomView_layouttoolbar_deuiaction1_click@IBIZBOOK"
      },
      "tooltip" : "加载",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCustomView_layout/psappviewctrls/toolbar",
    "modelid" : "55058261e031981cda2a21e94c9d8f8a",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEViewCodeName" : "CustomView_layout",
  "getPSDEViewId" : "ca609e0303a8bb7e0f8bcbda92995db2",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Af65dc10a711d3bffaa",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "自定义视图",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Af65dc10a711d3bffaa",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCustomView_layout/psappviewctrls/layoutpanel",
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "heightMode" : "FULL",
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER"
        },
        "getPSPanelItems" : [ {
          "caption" : "搜索表单",
          "contentHeight" : 50.0,
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "searchform",
          "getPSLayoutPos" : {
            "height" : 50,
            "heightMode" : "PX",
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "showCaption" : true
        }, {
          "caption" : "表格",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "grid",
          "getPSLayoutPos" : {
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "widthMode" : "FULL"
          },
          "showCaption" : true
        } ],
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentHeight" : 50.0,
        "height" : 50.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_header1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "height" : 50,
          "heightMode" : "PX",
          "layout" : "BORDER",
          "layoutPos" : "NORTH"
        },
        "getPSPanelItems" : [ {
          "caption" : "栅格容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_grid1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container1",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 3,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "页面标题",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "view_pagecaption",
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "view_pagecaption",
                "predefinedType" : "VIEW_PAGECAPTION",
                "renderMode" : "HEADING1",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "hAlignSelf" : "LEFT",
                "layout" : "SIMPLEFLEX",
                "vAlignSelf" : "MIDDLE"
              },
              "hidden" : false,
              "showCaption" : false
            } ]
          }, {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container2",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 9,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "工具栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "toolbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "hAlignSelf" : "RIGHT",
                "layout" : "SIMPLEFLEX",
                "vAlignSelf" : "MIDDLE"
              },
              "showCaption" : true
            } ]
          } ]
        } ],
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "125cc66f9ea2f43fd9be7e282d1363f9",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCustomView_layout",
  "title" : "实体自定义视图",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "图书自定义视图",
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.CUSTOMVIEW",
    "lanResType" : "PAGE",
    "mOSFilePath" : "pslanguageres/Auto490",
    "name" : "界面文本（PAGE.*）[TITLE.IBIZBOOK.CUSTOMVIEW]",
    "rTMOSFilePath" : "pslanguageres/Auto490",
    "refFlag" : true
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "aedb8ab194116ffc3b6712a2489ab582",
  "modeltype" : "PSAPPDEVIEW"
}